Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.tablegenerator.TableCellData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| TableCellData ()
| Constructor.
| TableCellData (RichTextStyle cell_text_style, uint cell_fill_color, string cell_text, Image cell_image, RectF cell_margin)
| Constructor, with parameters. More...
| TableCellData (TableCellData data)
| Constructor, with another table cell data object. More...
void | Set (RichTextStyle cell_text_style, uint cell_fill_color, string cell_text, Image cell_image, RectF cell_margin)
| Set value. More...

## Properties
uint | cell_fill_color`[get, set]`
| The fill color of cell. Format: 0xAARRGGBB.
Image? | cell_image`[get, set]`
| The image content of cell. More...
RectF? | cell_margin`[get, set]`
| The cell margin between the content and cell border. More...
string | cell_text`[get, set]`
| The text content of cell. More...
RichTextStyle? | cell_text_style`[get, set]`
| The style of cell text.

## Detailed Description

This class represents table cell data.

## Constructor & Destructor Documentation

## ◆ TableCellData() [1/2]

foxit.addon.tablegenerator.TableCellData.TableCellData | ( | RichTextStyle | cell_text_style,
|  | uint | cell_fill_color,
|  | string | cell_text,
|  | Image | cell_image,
|  | RectF | cell_margin
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

## ◆ TableCellData() [2/2]

foxit.addon.tablegenerator.TableCellData.TableCellData | ( | TableCellData | data | ) |
| inline

Constructor, with another table cell data object.

Parameters

  [in] | data | Another table cell data object, whose value would be assigned to current object.

## Member Function Documentation

## ◆ Set()

void foxit.addon.tablegenerator.TableCellData.Set | ( | RichTextStyle | cell_text_style,
|  | uint | cell_fill_color,
|  | string | cell_text,
|  | Image | cell_image,
|  | RectF | cell_margin
| ) |  |
| inline

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## Property Documentation

## ◆ cell_image

Image foxit.addon.tablegenerator.TableCellData.cell_image
| get set

The image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

## ◆ cell_margin

RectF foxit.addon.tablegenerator.TableCellData.cell_margin
| get set

The cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative and should not be bigger than the cell's height or width.

## ◆ cell_text

string foxit.addon.tablegenerator.TableCellData.cell_text
| get set

The text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.